diff --git a/target/linux/ramips/base-files/etc/diag.sh b/target/linux/ramips/base-files/etc/diag.sh
index bd3779a..74b8867 100755
--- a/target/linux/ramips/base-files/etc/diag.sh
+++ b/target/linux/ramips/base-files/etc/diag.sh
@@ -73,9 +73,7 @@ get_status_led() {
 	m4)
 		status_led="m4:blue:status"
 		;;
-	mlw221)
-		status_led="kingston:blue:status"
-		;;
+	mlw221|\
 	mlwg2)
 		status_led="kingston:blue:system"
 		;;
diff --git a/target/linux/ramips/base-files/etc/uci-defaults/01_leds b/target/linux/ramips/base-files/etc/uci-defaults/01_leds
index f5b5b01..5d6ed2b 100755
--- a/target/linux/ramips/base-files/etc/uci-defaults/01_leds
+++ b/target/linux/ramips/base-files/etc/uci-defaults/01_leds
@@ -113,10 +113,7 @@ case $board in
 	hw550-3g)
 		set_usb_led "hw550-3g:green:usb"
 		;;
-	mlw221)
-		set_wifi_led "kingston:blue:wifi"
-		ucidef_set_led_default "system" "system" "kingston:blue:system" "1"
-		;;
+	mlw221|\
 	mlwg2)
 		set_wifi_led "kingston:blue:wifi"
 		ucidef_set_led_default "system" "system" "kingston:blue:system" "1"
diff --git a/target/linux/ramips/base-files/etc/uci-defaults/02_network b/target/linux/ramips/base-files/etc/uci-defaults/02_network
index 91bedcc..c3ea489 100755
--- a/target/linux/ramips/base-files/etc/uci-defaults/02_network
+++ b/target/linux/ramips/base-files/etc/uci-defaults/02_network
@@ -55,10 +55,7 @@ ramips_setup_interfaces()
                 ucidef_set_interface_lan "eth0.2"
                 ;;
 
-	mlwg2)
-                ucidef_set_interface_lan "eth0.1"
-                ;;
-
+	mlwg2 | \
 	wl-330n | \
 	wmr300)
 		ucidef_set_interface_lan "eth0.1"
diff --git a/target/linux/ramips/dts/MLW221.dts b/target/linux/ramips/dts/MLW221.dts
index f220e97..83467dc 100644
--- a/target/linux/ramips/dts/MLW221.dts
+++ b/target/linux/ramips/dts/MLW221.dts
@@ -3,117 +3,117 @@
 /include/ "mt7620n.dtsi"
 
 / {
-       compatible = "mlw221", "ralink,mt7620n-soc";
-       model = "Kingston MLW221";
-
-       palmbus@10000000 {
-               gpio0: gpio@600 {
-               status = "okay";
-               };
-
-               gpio2: gpio@660 {
-                       status = "okay";
-               };
-
-               gpio3: gpio@688 {
-                       status = "okay";
-               };
-
-               spi@b00 {
-                       status = "okay";
-
-                       m25p80@0 {
-                               #address-cells = <1>;
-                               #size-cells = <1>;
-                               compatible = "s25fl129p1";
-                               reg = <0 0>;
-                               linux,modalias = "m25p80", "s25fl129p1";
-                               spi-max-frequency = <10000000>;
-
-                               partition@0 {
-                                       label = "u-boot";
-                                       reg = <0x0 0x30000>;
-                                       read-only;
-                               };
-
-                               partition@30000 {
-                                       label = "u-boot-env";
-                                       reg = <0x30000 0x10000>;
-                                       read-only;
-                               };
-
-                               factory: partition@40000 {
-                                       label = "factory";
-                                       reg = <0x40000 0x10000>;
-                                       read-only;
-                               };
-
-                               partition@50000 {
-                                       label = "firmware";
-                                       reg = <0x50000 0xf60000>;
-                               };
-
-                               partition@fb0000 {
-                                       label = "user-config";
-                                       reg = <0xfb0000 0x50000>;
-
-                               };
-                       };
-               };
-       };
-
-       ehci@101c0000 {
-               status = "okay";
-       };
-
-       ohci@101c1000 {
-               status = "okay";
-       };
-
-       ethernet@10100000 {
-               mtd-mac-address = <&factory 0x4>;
-               ralink,port-map = "wllll";
-       };
-
-       wmac@10180000 {
-               ralink,mtd-eeprom = <&factory 0>;
-       };
-
-       pinctrl {
-               state_default: pinctrl0 {
-                       default {
-                               ralink,group = "i2c", "ephy", "wled";
-                               ralink,function = "gpio";
-                       };
-               };
-       };
-
-       gpio-leds {
-               compatible = "gpio-leds";
-               system {
-                       label = "kingston:blue:system";
-                       gpios = <&gpio2 3 1>;
-               };
-               wifi {
-                       label = "kingston:blue:wifi";
-                       gpios = <&gpio3 0 1>;
-               };
-       };
-
-       gpio-keys-polled {
-               compatible = "gpio-keys-polled";
-               #address-cells = <1>;
-               #size-cells = <0>;
-               poll-interval = <20>;
-               reset {
-                       label = "reset";
-                       gpios = <&gpio0 1 1>;
-                       linux,code = <0x198>;
-               };
-               system {
-                       label = "system";
-                       gpios = <&gpio0 2 1>;
-                       linux,code = <0x211>;
-               };
-       };
+	compatible = "mlw221", "ralink,mt7620n-soc";
+	model = "Kingston MLW221";
+
+	palmbus@10000000 {
+		gpio0: gpio@600 {
+			status = "okay";
+		};
+
+		gpio2: gpio@660 {
+			status = "okay";
+		};
+
+		gpio3: gpio@688 {
+			status = "okay";
+		};
+
+		spi@b00 {
+			status = "okay";
+
+			m25p80@0 {
+				#address-cells = <1>;
+				#size-cells = <1>;
+				compatible = "s25fl129p1";
+				reg = <0 0>;
+				linux,modalias = "m25p80", "s25fl129p1";
+				spi-max-frequency = <10000000>;
+
+				partition@0 {
+					label = "u-boot";
+					reg = <0x0 0x30000>;
+					read-only;
+				};
+
+				partition@30000 {
+					label = "u-boot-env";
+					reg = <0x30000 0x10000>;
+					read-only;
+				};
+
+				factory: partition@40000 {
+					label = "factory";
+					reg = <0x40000 0x10000>;
+					read-only;
+				};
+
+				partition@50000 {
+					label = "firmware";
+					reg = <0x50000 0xf60000>;
+				};
+
+				partition@fb0000 {
+					label = "user-config";
+					reg = <0xfb0000 0x50000>;
+
+				};
+			};
+		};
+	};
+
+	ehci@101c0000 {
+		status = "okay";
+	};
+
+	ohci@101c1000 {
+		status = "okay";
+	};
+
+	ethernet@10100000 {
+		mtd-mac-address = <&factory 0x4>;
+		ralink,port-map = "wllll";
+	};
+
+	wmac@10180000 {
+		ralink,mtd-eeprom = <&factory 0>;
+	};
+
+	pinctrl {
+		state_default: pinctrl0 {
+			default {
+				ralink,group = "i2c", "ephy", "wled";
+				ralink,function = "gpio";
+			};
+		};
+	};
+
+	gpio-leds {
+		compatible = "gpio-leds";
+		system {
+			label = "kingston:blue:system";
+			gpios = <&gpio2 3 1>;
+		};
+		wifi {
+			label = "kingston:blue:wifi";
+			gpios = <&gpio3 0 1>;
+		};
+	};
+
+	gpio-keys-polled {
+		compatible = "gpio-keys-polled";
+		#address-cells = <1>;
+		#size-cells = <0>;
+		poll-interval = <20>;
+		reset {
+			label = "reset";
+			gpios = <&gpio0 1 1>;
+			linux,code = <0x198>;
+		};
+		system {
+			label = "system";
+			gpios = <&gpio0 2 1>;
+			linux,code = <0x211>;
+		};
+	};
 };