diff --git a/target/linux/ramips/base-files/lib/ramips.sh b/target/linux/ramips/base-files/lib/ramips.sh
index fd03423..ba50f1e 100755
--- a/target/linux/ramips/base-files/lib/ramips.sh
+++ b/target/linux/ramips/base-files/lib/ramips.sh
@@ -334,6 +334,12 @@ ramips_board_detect() {
 	*"Lenovo Y1S")
 		name="y1s"
 		;;
+	*"OLinuXino-RT5350F")
+                name="olinuxino-rt5350f"
+                ;;
+        *"OLinuXino-RT5350F-EVB")
+                name="olinuxino-rt5350f-evb"
+                ;;
 	*)
 		name="generic"
 		;;
diff --git a/target/linux/ramips/base-files/lib/upgrade/platform.sh b/target/linux/ramips/base-files/lib/upgrade/platform.sh
index ba69a89..55ce6c9 100755
--- a/target/linux/ramips/base-files/lib/upgrade/platform.sh
+++ b/target/linux/ramips/base-files/lib/upgrade/platform.sh
@@ -100,7 +100,9 @@ platform_check_image() {
 	x8 |\
 	zbt-wa05 |\
 	y1 |\
-	y1s)
+	y1s|\
+	olinuxino-rt5350f | \
+	olinuxino-rt5350f-evb) 
 		[ "$magic" != "27051956" ] && {
 			echo "Invalid image type."
 			return 1
diff --git a/target/linux/ramips/dts/OLINUXINO-RT5350F-EVB.dts b/target/linux/ramips/dts/OLINUXINO-RT5350F-EVB.dts
new file mode 100644
index 0000000..a644d4a
--- /dev/null
+++ b/target/linux/ramips/dts/OLINUXINO-RT5350F-EVB.dts
@@ -0,0 +1,101 @@
+/dts-v1/;
+
+/include/ "rt5350.dtsi"
+
+/ {
+        compatible = "RT5350F-OLINUXINO", "ralink,rt5350-soc";
+        model = "RT5350F-OLINUXINO";
+
+        palmbus@10000000 {
+                spi@b00 {
+                        status = "okay";
+                        m25p80@0 {
+                                #address-cells = <1>;
+                                #size-cells = <1>;
+                                compatible = "s25fl064k";
+                                reg = <0 0>;
+                                linux,modalias = "m25p80", "s25fl064k";
+                                spi-max-frequency = <10000000>;
+
+                                partition@0 {
+                                        label = "u-boot";
+                                        reg = <0x0 0x30000>;
+                                        read-only;
+                                };
+
+                                partition@30000 {
+                                        label = "u-boot-env";
+                                        reg = <0x30000 0x10000>;
+                                        read-only;
+                                };
+
+                                factory: partition@40000 {
+                                        label = "factory";
+                                        reg = <0x40000 0x10000>;
+                                        read-only;
+                                };
+
+                                partition@50000 {
+                                        label = "firmware";
+                                        reg = <0x50000 0x3b0000>;
+                                };
+                        };
+                };
+                gpio1: gpio@660 {
+                        status = "okay";
+                };
+        };
+
+        pinctrl {
+                state_default: pinctrl0 {
+                        gpio {
+                                ralink,group = "jtag", "rgmii", "mdio", "uartf";
+                                ralink,function = "gpio";
+                        };
+                };
+        };
+
+        ethernet@10100000 {
+                mtd-mac-address = <&factory 0x4>;
+        };
+
+        esw@10110000 {
+                ralink,portmap = <0x2f>;
+                ralink,led_polarity = <0x17>;
+        };
+
+        wmac@10180000 {
+                ralink,mtd-eeprom = <&factory 0>;
+        };
+
+        ehci@101c0000 {
+                status = "okay";
+        };
+
+        ohci@101c1000 {
+                status = "okay";
+        };
+
+        gpio_export {
+                compatible = "gpio-export";
+                #size-cells = <0>;
+
+                relay1 {
+                        gpio-export,name = "gpio12";
+                        gpio-export,output = <0>;
+                        gpios = <&gpio0 12 0>;
+                };
+
+                relay2 {
+                        gpio-export,name = "gpio14";
+                        gpio-export,output = <0>;
+                        gpios = <&gpio0 14 0>;
+                };
+
+                button {
+                        gpio-export,name = "button";
+                        gpios = <&gpio0 0 1>;
+                };
+
+        };
+};
diff --git a/target/linux/ramips/dts/OLINUXINO-RT5350F.dts b/target/linux/ramips/dts/OLINUXINO-RT5350F.dts
new file mode 100644
index 0000000..984e701
--- /dev/null
+++ b/target/linux/ramips/dts/OLINUXINO-RT5350F.dts
@@ -0,0 +1,79 @@
+/dts-v1/;
+
+/include/ "rt5350.dtsi"
+
+/ {
+        compatible = "RT5350F-OLINUXINO", "ralink,rt5350-soc";
+        model = "RT5350F-OLINUXINO";
+
+        palmbus@10000000 {
+                spi@b00 {
+                        status = "okay";
+                        m25p80@0 {
+                                #address-cells = <1>;
+                                #size-cells = <1>;
+                                compatible = "s25fl064k";
+                                reg = <0 0>;
+                                linux,modalias = "m25p80", "s25fl064k";
+                                spi-max-frequency = <10000000>;
+
+                                partition@0 {
+                                        label = "u-boot";
+                                        reg = <0x0 0x30000>;
+                                        read-only;
+                                };
+
+                                partition@30000 {
+                                        label = "u-boot-env";
+                                        reg = <0x30000 0x10000>;
+                                        read-only;
+                                };
+
+                                factory: partition@40000 {
+                                        label = "factory";
+                                        reg = <0x40000 0x10000>;
+                                        read-only;
+                                };
+
+                                partition@50000 {
+                                        label = "firmware";
+                                        reg = <0x50000 0x3b0000>;
+                                };
+                        };
+                };
+                gpio1: gpio@660 {
+                        status = "okay";
+                };
+        };
+
+        pinctrl {
+                state_default: pinctrl0 {
+                        gpio {
+                                ralink,group = "jtag", "rgmii", "mdio", "uartf";
+                                ralink,function = "gpio";
+                        };
+                };
+        };
+
+        ethernet@10100000 {
+                mtd-mac-address = <&factory 0x4>;
+        };
+
+        esw@10110000 {
+                ralink,portmap = <0x2f>;
+                ralink,led_polarity = <0x17>;
+        };
+
+        wmac@10180000 {
+                ralink,mtd-eeprom = <&factory 0>;
+        };
+
+        ehci@101c0000 {
+                status = "okay";
+        };
+
+        ohci@101c1000 {
+                status = "okay";
+        };
+
+};
diff --git a/target/linux/ramips/image/Makefile b/target/linux/ramips/image/Makefile
index 86200ab..4f128da 100644
--- a/target/linux/ramips/image/Makefile
+++ b/target/linux/ramips/image/Makefile
@@ -486,6 +486,11 @@ Image/Build/Profile/W502U=$(call BuildFirmware/Default8M/$(1),$(1),w502u,W502U)
 
 Image/Build/Profile/WCR150GN=$(call BuildFirmware/Default4M/$(1),$(1),wcr150gn,WCR150GN)
 
+Image/Build/Profile/OLINUXINO-RT5350F=$(call BuildFirmware/Default8M/$(1),$(1),olinuxino-rt5350f,OLINUXINO-RT5350F)
+
+Image/Build/Profile/OLINUXINO-RT5350F-EVB=$(call BuildFirmware/Default8M/$(1),$(1),olinuxino-rt5350f-evb,OLINUXINO-RT5350F-EVB)
+
+
 buffalo_whrg300n_mtd_size=3801088
 define BuildFirmware/WHRG300N/squashfs
 	$(call BuildFirmware/Default4M/$(1),$(1),whr-g300n,WHR-G300N)
@@ -635,6 +640,9 @@ define Image/Build/Profile/Default
 	$(call Image/Build/Profile/X5,$(1))
 	$(call Image/Build/Profile/X8,$(1))
 	$(call Image/Build/Profile/XDXRN502J,$(1))
+	$(call Image/Build/Profile/OLINUXINO-RT5350F,$(1))
+        $(call Image/Build/Profile/OLINUXINO-RT5350F-EVB,$(1))
+
 endef
 endif
 
diff --git a/target/linux/ramips/rt305x/profiles/olinuxino-rt5350f-evb.mk b/target/linux/ramips/rt305x/profiles/olinuxino-rt5350f-evb.mk
new file mode 100644
index 0000000..cc158ba
--- /dev/null
+++ b/target/linux/ramips/rt305x/profiles/olinuxino-rt5350f-evb.mk
@@ -0,0 +1,21 @@
+#
+# Copyright (C) 2014 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+define Profile/OLINUXINO-RT5350F-EVB
+        NAME:=OLinuXino-RT5350F-EVB
+        PACKAGES:=\
+                kmod-usb-core kmod-usb-ohci kmod-usb2 \
+                kmod-i2c-core kmod-i2c-ralink \
+                kmod-spi-dev
+endef
+
+define Profile/OLINUXINO-RT5350F/Description
+        Package set for OLinuXino-RT5350F-EVB board
+endef
+
+$(eval $(call Profile,OLINUXINO-RT5350F-EVB))
+
diff --git a/target/linux/ramips/rt305x/profiles/olinuxino-rt5350f.mk b/target/linux/ramips/rt305x/profiles/olinuxino-rt5350f.mk
new file mode 100644
index 0000000..fe018ef
--- /dev/null
+++ b/target/linux/ramips/rt305x/profiles/olinuxino-rt5350f.mk
@@ -0,0 +1,20 @@
+#
+# Copyright (C) 2014 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+
+define Profile/OLINUXINO-RT5350F
+        NAME:=OLinuXino-RT5350F
+        PACKAGES:=\
+                kmod-usb-core kmod-usb-ohci kmod-usb2 \
+                kmod-i2c-core kmod-i2c-ralink \
+                kmod-spi-dev
+endef
+
+define Profile/OLINUXINO-RT5350F/Description
+        Package set for OLinuXino-RT5350F board
+endef
+
+$(eval $(call Profile,OLINUXINO-RT5350F))