diff --git a/target/linux/ramips/base-files/lib/ramips.sh b/target/linux/ramips/base-files/lib/ramips.sh
index 7db6d37..8b9d731 100755
--- a/target/linux/ramips/base-files/lib/ramips.sh
+++ b/target/linux/ramips/base-files/lib/ramips.sh
@@ -19,12 +19,6 @@ ramips_board_detect() {
 	*"8devices Carambola")
 		name="carambola"
 		;;
-	*"Edimax 3g-6200n")
-		name="3g-6200n"
-		;;
-	*"Edimax 3g-6200nl")
-		name="3g-6200nl"
-		;;
 	*"A5-V11")
 		name="a5-v11"
 		;;
@@ -40,9 +34,6 @@ ramips_board_detect() {
 	*"AirLive Air3GII")
 		name="air3gii"
 		;;
-	*"Edimax BR-6425")
-		name="br6425"
-		;;
 	*"Allnet ALL0239-3G")
 		name="all0239-3g"
 		;;
@@ -55,6 +46,9 @@ ramips_board_detect() {
 	*"Allnet ALL5003")
 		name="all5003"
 		;;
+	*"Alpha ASL26555")
+		name="asl26555"
+		;;
 	*"ARC FreeStation5")
 		name="freestation5"
 		;;
@@ -64,14 +58,23 @@ ramips_board_detect() {
 	*"Argus ATP-52B")
 		name="argus-atp52b"
 		;;
+	*"AsiaRF AWAPN2403")
+		name="awapn2403"
+		;;
 	*"AsiaRF AWM002 EVB")
 		name="awm002-evb"
 		;;
 	*"AsiaRF AWM003 EVB")
 		name="awm003-evb"
 		;;
-	*"AsiaRF AWAPN2403")
-		name="awapn2403"
+	*"Asus RP-N53")
+		name="rp-n53"
+		;;
+	*"Asus RT-N13U")
+		name="rt-n13u"
+		;;
+	*"Asus RT-N14U")
+		name="rt-n14u"
 		;;
 	*"Asus WL-330N")
 		name="wl-330n"
@@ -79,30 +82,30 @@ ramips_board_detect() {
 	*"Asus WL-330N3G")
 		name="wl-330n3g"
 		;;
-	*"Alpha ASL26555")
-		name="asl26555"
-		;;
-	*"Aztech HW550-3G")
-		name="hw550-3g"
+	*"AWB WR6202")
+		name="wr6202"
 		;;
 	*"AXIMCom MR-102N")
 		name="mr-102n"
 		;;
-	*"Buffalo WSR-600DHP")
-		name="wsr-600"
+	*"Aztech HW550-3G")
+		name="hw550-3g"
 		;;
 	*"Buffalo WSR-1166DHP")
 		name="wsr-1166"
 		;;
+	*"Buffalo WSR-600DHP")
+		name="wsr-600"
+		;;
 	*"Comfast CF-WR800N")
 		name="cf-wr800n"
 		;;
-	*"Firefly FireWRT")
-		name="firewrt"
-		;;
 	*"CY-SWR1100")
 		name="cy-swr1100"
 		;;
+	*"DAP-1350")
+		name="dap-1350"
+		;;
 	*"DCS-930")
 		name="dcs-930"
 		;;
@@ -127,18 +130,18 @@ ramips_board_detect() {
 	*"DIR-610 A1")
 		name="dir-610-a1"
 		;;
+	*"DIR-615 D")
+		name="dir-615-d"
+		;;
+	*"DIR-615 H1")
+		name="dir-615-h1"
+		;;
 	*"DIR-620 A1")
 		name="dir-620-a1"
 		;;
 	*"DIR-620 D1")
 		name="dir-620-d1"
 		;;
-	*"DIR-615 H1")
-		name="dir-615-h1"
-		;;
-	*"DIR-615 D")
-		name="dir-615-d"
-		;;
 	*"DIR-645")
 		name="dir-645"
 		;;
@@ -148,20 +151,23 @@ ramips_board_detect() {
 	*"DIR-860L B1")
 		name="dir-860l-b1"
 		;;
-	*"DAP-1350")
-		name="dap-1350"
-		;;
-	*"ESR-9753")
-		name="esr-9753"
-		;;
 	*"EASYACC WI-STOR WIZARD 8800")
 		name="wizard8800"
 		;;
+	*"Edimax 3g-6200n")
+		name="3g-6200n"
+		;;
+	*"Edimax 3g-6200nl")
+		name="3g-6200nl"
+		;;
+	*"Edimax BR-6425")
+		name="br6425"
+		;;
 	*"Edimax BR-6475nD")
 		name="br-6475nd"
 		;;
-	*"F7C027")
-		name="f7c027"
+	*"ESR-9753")
+		name="esr-9753"
 		;;
 	*"F5D8235 v1")
 		name="f5d8235-v1"
@@ -169,23 +175,23 @@ ramips_board_detect() {
 	*"F5D8235 v2")
 		name="f5d8235-v2"
 		;;
-	*"Hauppauge Broadway")
-		name="broadway"
+	*"F7C027")
+		name="f7c027"
 		;;
-	*"Huawei D105")
-		name="d105"
+	*"Firefly FireWRT")
+		name="firewrt"
 		;;
-	*"La Fonera 2.0N")
-		name="fonera20n"
+	*"HAME MPR-A1")
+		name="mpr-a1"
 		;;
-	*"Asus RT-N14U")
-		name="rt-n14u"
+	*"HAME MPR-A2")
+		name="mpr-a2"
 		;;
-	*"Asus RT-N13U")
-		name="rt-n13u"
+	*"Hauppauge Broadway")
+		name="broadway"
 		;;
-	*"MoFi Network MOFI3500-3GN")
-		name="mofi3500-3gn"
+	*"HG255D")
+		name="hg255d"
 		;;
 	*"HILINK HLK-RM04")
 		name="hlk-rm04"
@@ -193,30 +199,48 @@ ramips_board_detect() {
 	*"HooToo HT-TM02")
 		name="ht-tm02"
 		;;
-	*"HAME MPR-A1")
- 		name="mpr-a1"
- 		;;
-	*"HAME MPR-A2")
- 		name="mpr-a2"
- 		;;
+	*"Huawei D105")
+		name="d105"
+		;;
+	*"Intenso Memory 2 Move")
+		name="m2m"
+		;;
 	*"Kingston MLW221")
 		name="mlw221"
 		;;
 	*"Kingston MLWG2")
 		name="mlwg2"
 		;;
+	*"La Fonera 2.0N")
+		name="fonera20n"
+		;;
+	*"Lenovo Y1")
+		name="y1"
+		;;
+	*"Lenovo Y1S")
+		name="y1s"
+		;;
 	*"Linksys E1700")
 		name="e1700"
 		;;
 	*"Linksys RE6500")
 		name="re6500"
 		;;
-	*"Planex MZK-750DHP")
-		name="mzk-750dhp"
+	*"Mediatek MT7621 evaluation board")
+		name="mt7621"
+		;;
+	*"Mediatek MT7628AN evaluation board")
+		name="mt7628"
+		;;
+	*"Mediatek MT7688 evaluation board")
+		name="mt7688"
 		;;
 	*"Microduino MicroWRT")
 		name="microwrt"
 		;;
+	*"MoFi Network MOFI3500-3GN")
+		name="mofi3500-3gn"
+		;;
 	*"NBG-419N")
 		name="nbg-419n"
 		;;
@@ -235,8 +259,11 @@ ramips_board_detect() {
 	*"NW718")
 		name="nw718"
 		;;
-	*"Intenso Memory 2 Move")
-		name="m2m"
+	*"OLinuXino-RT5350F")
+		name="olinuxino-rt5350f"
+		;;
+	*"OLinuXino-RT5350F-EVB")
+		name="olinuxino-rt5350f-evb"
 		;;
 	*"Omnima EMB HPM")
 		name="omni-emb-hpm"
@@ -247,11 +274,8 @@ ramips_board_detect() {
 	*"Omnima MiniPlug")
 		name="omni-plug"
 		;;
-	*"OLinuXino-RT5350F")
-		name="olinuxino-rt5350f"
-		;;
-	*"OLinuXino-RT5350F-EVB")
-		name="olinuxino-rt5350f-evb"
+	*"OY-0001")
+		name="oy-0001"
 		;;
 	*"PBR-M1")
 		name="pbr-m1"
@@ -259,6 +283,12 @@ ramips_board_detect() {
 	*"Petatel PSR-680W"*)
 		name="psr-680w"
 		;;
+	*"Planex MZK-750DHP")
+		name="mzk-750dhp"
+		;;
+	*"Planex MZK-DP150N")
+		name="mzk-dp150n"
+		;;
 	*"Planex MZK-W300NH2"*)
 		name="mzk-w300nh2"
 		;;
@@ -280,12 +310,12 @@ ramips_board_detect() {
 	*"PWH2004")
 		name="pwh2004"
 		;;
-	*"Asus RP-N53")
-		name="rp-n53"
-		;;
 	*"Ralink MT7620a + MT7530 evaluation board")
 		name="mt7620a_mt7530"
 		;;
+	*"Ralink V11ST-FE")
+		name="v11st-fe"
+		;;
 	*"RT-G32 B1")
 		name="rt-g32-b1"
 		;;
@@ -301,6 +331,15 @@ ramips_board_detect() {
 	*"RUT5XX")
 		name="rut5xx"
 		;;
+	*"Sercomm NA930")
+		name="na930"
+		;;
+	*"Sitecom WL-341 v3")
+		name="wl341v3"
+		;;
+	*"Sitecom WL-351 v1 002")
+		name="wl-351"
+		;;
 	*"Skyline SL-R7205"*)
 		name="sl-r7205"
 		;;
@@ -310,17 +349,47 @@ ramips_board_detect() {
 	*"STORYLiNK SAP-G3200U3")
 		name="sap-g3200u3"
 		;;
+	*"Tenda 3G150B")
+		name="3g150b"
+		;;
+	*"Tenda 3G300M")
+		name="3g300m"
+		;;
+	*"Tenda W150M")
+		name="w150m"
+		;;
+	*"Tenda W306R V2.0")
+		name="w306r-v20"
+		;;
+	*"TEW-691GR")
+		name="tew-691gr"
+		;;
+	*"TEW-692GR")
+		name="tew-692gr"
+		;;
+	*"UR-326N4G Wireless N router")
+		name="ur-326n4g"
+		;;
+	*"UR-336UN Wireless N router")
+		name="ur-336un"
+		;;
 	*"V22RW-2X2")
 		name="v22rw-2x2"
 		;;
+	*"V22SG")
+		name="v22sg"
+		;;
 	*"VoCore")
 		name="vocore"
 		;;
 	*"W502U")
 		name="w502u"
 		;;
-	*"WMR-300")
-		name="wmr300"
+	*"Wansview NCS601W")
+		name="ncs601w"
+		;;
+	*"WHR-1166D")
+		name="whr-1166d"
 		;;
 	*"WHR-300HP2")
 		name="whr-300hp2"
@@ -328,108 +397,39 @@ ramips_board_detect() {
 	*"WHR-600D")
 		name="whr-600d"
 		;;
-	*"WHR-1166D")
-		name="whr-1166d"
-		;;
 	*"WHR-G300N")
 		name="whr-g300n"
 		;;
-	*"Sitecom WL-341 v3")
-		name="wl341v3"
-		;;
-	*"Sitecom WL-351 v1 002")
-		name="wl-351"
-		;;
-	*"Tenda 3G300M")
-		name="3g300m"
-		;;
-	*"Tenda 3G150B")
-		name="3g150b"
-		;;
-	*"Tenda W306R V2.0")
-		name="w306r-v20"
-		;;
-	*"Tenda W150M")
-		name="w150m"
-		;;
-	*"TEW-691GR")
-		name="tew-691gr"
-		;;
-	*"TEW-692GR")
-		name="tew-692gr"
-		;;
-	*"Ralink V11ST-FE")
-		name="v11st-fe"
-		;;
 	*"WLI-TX4-AG300N")
 		name="wli-tx4-ag300n"
 		;;
-	*"WZR-AGL300NH")
-		name="wzr-agl300nh"
+	*"WMR-300")
+		name="wmr300"
 		;;
 	*"WR512-3GN-like router")
 		name="wr512-3gn"
 		;;
-	*"UR-326N4G Wireless N router")
-		name="ur-326n4g"
-		;;
-	*"UR-336UN Wireless N router")
-		name="ur-336un"
+	*"WRTNODE")
+		name="wrtnode"
 		;;
-	*"AWB WR6202")
-		name="wr6202"
+	*"WZR-AGL300NH")
+		name="wzr-agl300nh"
 		;;
 	*"XDX RN502J")
 		name="xdxrn502j"
 		;;
-	*"HG255D")
-		name="hg255d"
-		;;
-	*"V22SG")
-		name="v22sg"
-		;;
-	*"WRTNODE")
-		name="wrtnode"
-		;;
-	*"Wansview NCS601W")
-		name="ncs601w"
-		;;
 	*"Xiaomi MiWiFi Mini")
 		name="xiaomi-miwifi-mini"
 		;;
-	*"Sercomm NA930")
-		name="na930"
+	*"ZBT WR8305RT")
+		name="wr8305rt"
 		;;
 	*"Zbtlink ZBT-WA05")
 		name="zbt-wa05"
 		;;
-	*"OY-0001")
-		name="oy-0001"
-		;;
-	*"ZBT WR8305RT")
-		name="wr8305rt"
-		;;
 	*"ZTE Q7")
 		name="zte-q7"
 		;;
-	*"Lenovo Y1")
-		name="y1"
-		;;
-	*"Lenovo Y1S")
-		name="y1s"
-		;;
-	*"Mediatek MT7621 evaluation board")
-		name="mt7621"
-		;;
-	*"Mediatek MT7628AN evaluation board")
-		name="mt7628"
-		;;
-	*"Mediatek MT7688 evaluation board")
-		name="mt7688"
-		;;
-	*"Planex MZK-DP150N")
-		name="mzk-dp150n"
-		;;
 	*)
 		name="generic"
 		;;