diff --git a/target/linux/ramips/base-files/etc/board.d/01_leds b/target/linux/ramips/base-files/etc/board.d/01_leds
index 2e6f2f9..d73ffe2 100755
--- a/target/linux/ramips/base-files/etc/board.d/01_leds
+++ b/target/linux/ramips/base-files/etc/board.d/01_leds
@@ -86,8 +86,8 @@ cy-swr1100)
 	set_usb_led "samsung:blue:usb"
 	;;
 d105)
-	ucidef_set_led_default "power" "POWER" "d105:red:power" "1"
-	set_usb_led "d105:green:usb"
+	ucidef_set_led_default "power" "POWER" "huawei:red:power" "1"
+	set_usb_led "huawei:green:usb"
 	;;
 dcs-930l-b1)
 	ucidef_set_led_default "power" "POWER" "d-link:red:power" "1"
@@ -123,20 +123,18 @@ dir-620-d1)
 dir-810l)
 	ucidef_set_led_default "power" "POWER" "d-link:green:power" "1"
 	;;
-f5d8235-v1)
-	set_usb_led "f5d8235-v1:blue:storage"
-	;;
+f5d8235-v1|\
 f5d8235-v2)
-	set_usb_led "f5d8235v2:blue:storage"
+	set_usb_led "belkin:blue:storage"
 	;;
 fonera20n)
 	set_usb_led "fonera20n:orange:usb"
 	set_wifi_led "fonera20n:orange:wifi"
 	;;
 hg255d)
-	set_wifi_led "hg255d:wlan"
-	set_usb_led "hg255d:usb"
-	ucidef_set_led_interface "lan" "hg255d:internet"
+	set_wifi_led "huawei:green:wlan"
+	set_usb_led "huawei:green:usb"
+	ucidef_set_led_interface "lan" "huawei:green:internet"
 	;;
 ht-tm02)
 	ucidef_set_led_netdev "eth" "Ethernet" "ht-tm02:green:lan" "eth0"
@@ -163,10 +161,10 @@ mr-102n)
 	set_usb_led "mr-102n:green:usb"
 	;;
 mzk-dp150n)
-	ucidef_set_led_default "power" "power" "mzkdp150n:green:power" "1"
+	ucidef_set_led_default "power" "power" "planex:green:power" "1"
 	;;
 mzk-w300nh2)
-	set_wifi_led "mzkw300nh2:amber:wlan"
+	set_wifi_led "planex:amber:wlan"
 	;;
 na930)
 	set_usb_led "na930:blue:status"
@@ -175,13 +173,13 @@ nw718)
 	set_usb_led "nw718:amber:usb"
 	;;
 omni-emb-hpm)
-	ucidef_set_led_default "power" "POWER" "emb:orange:power" "1"
-	ucidef_set_led_netdev "eth" "ETH" "emb:green:eth" "eth0"
+	ucidef_set_led_default "power" "POWER" "omnima:orange:power" "1"
+	ucidef_set_led_netdev "eth" "ETH" "omnima:green:eth" "eth0"
 	set_wifi_led "emb:green:wifi"
 	;;
 omni-plug)
-	set_wifi_led "miniplug:green:wlan"
-	set_usb_led "miniplug:green:mobile"
+	set_wifi_led "omnima:green:wlan"
+	set_usb_led "omnima:green:mobile"
 	;;
 oy-0001)
 	ucidef_set_led_default "power" "power" "oy:green:power" "1"
@@ -235,9 +233,9 @@ wnce2001)
 	set_wifi_led "netgear:green:wlan"
 	;;
 wr8305rt)
-	ucidef_set_led_default "power" "power" "wr8305rt:sys" "1"
-	set_usb_led "wr8305rt:usb"
-	set_wifi_led "wr8305rt:wifi"
+	ucidef_set_led_default "power" "power" "zbtlink:green:sys" "1"
+	set_usb_led "zbtlink:green:usb"
+	set_wifi_led "zbtlink:green:wifi"
 	;;
 wt3020)
 	ucidef_set_led_default "power" "power" "nexx:blue:power" "0"
diff --git a/target/linux/ramips/base-files/etc/diag.sh b/target/linux/ramips/base-files/etc/diag.sh
index 81e1dea..91a931b 100644
--- a/target/linux/ramips/base-files/etc/diag.sh
+++ b/target/linux/ramips/base-files/etc/diag.sh
@@ -26,11 +26,9 @@ get_status_led() {
 	hw550-3g)
 		status_led="hw550-3g:green:status"
 		;;
-	ar670w)
-		status_led="ar670w:green:power"
-		;;
+	ar670w|\
 	ar725w)
-		status_led="ar725w:green:power"
+		status_led="airlink101:green:power"
 		;;
 	argus-atp52b)
 		status_led="argus-atp52b:green:run"
@@ -51,7 +49,7 @@ get_status_led() {
 		status_led="samsung:blue:wps"
 		;;
 	d105)
-		status_led="d105:red:power"
+		status_led="huawei:red:power"
 		;;
 	dap-1350)
 		status_led="d-link:blue:power"
@@ -82,7 +80,7 @@ get_status_led() {
 		status_led="esr-9753:orange:power"
 		;;
 	f5d8235-v2)
-		status_led="f5d8235v2:blue:router"
+		status_led="belkin:blue:router"
 		;;
 	f7c027)
 		status_led="belkin:orange:status"
@@ -97,16 +95,14 @@ get_status_led() {
 		status_led="ht-tm02:blue:wlan"
 		;;
 	ip2202)
-		status_led="ip2202:green:run"
+		status_led="poray:green:run"
 		;;
 	m2m)
 		status_led="m2m:blue:wifi"
 		;;
-	m3)
-		status_led="m3:blue:status"
-		;;
+	m3|\
 	m4)
-		status_led="m4:blue:status"
+		status_led="poray:blue:status"
 		;;
 	mlw221|\
 	mlwg2)
@@ -122,11 +118,9 @@ get_status_led() {
 	mr-102n)
 		status_led="mr-102n:amber:status"
 		;;
-	mzk-dp150n)
-		status_led="mzkdp150n:green:power"
-		;;
+	mzk-dp150n|\
 	mzk-w300nh2)
-		status_led="mzkw300nh2:green:power"
+		status_led="planex:green:power"
 		;;
 	na930)
 		status_led="na930:blue:power"
@@ -142,7 +136,7 @@ get_status_led() {
 		;;
 	omni-emb|\
 	omni-emb-hpm)
-		status_led="emb:green:status"
+		status_led="omnima:green:status"
 		;;
 	oy-0001)
 		status_led="oy:green:wifi"
@@ -165,18 +159,14 @@ get_status_led() {
 	rt-n10-plus)
 		status_led="asus:green:wps"
 		;;
-	rt-n13u)
-		status_led="rt-n13u:power"
-		;;
+	rt-n13u|\
 	rt-n14u|\
+	rt-n15|\
 	rt-n56u|\
 	wl-330n|\
 	wl-330n3g)
 		status_led="asus:blue:power"
 		;;
-	rt-n15)
-		status_led="rt-n15:blue:power"
-		;;
 	rut5xx)
 		status_led="rut5xx:green:status"
 		;;
@@ -190,23 +180,21 @@ get_status_led() {
 	tew-692gr)
 		status_led="trendnet:green:wps"
 		;;
-	ur-326n4g)
-		status_led="ur326:green:wps"
-		;;
+	ur-326n4g|\
 	ur-336un)
-		status_led="ur336:green:wps"
+		status_led="upvel:green:wps"
 		;;
 	v11st-fe)
-		status_led="v11st-fe:green:status"
+		status_led="ralink:green:status"
 		;;
 	v22rw-2x2)
-		status_led="v22rw-2x2:green:security"
+		status_led="ralink:green:security"
 		;;
 	vocore)
 		status_led="vocore:green:status"
 		;;
 	w306r-v20)
-		status_led="w306r-v20:green:sys"
+		status_led="tenda:green:sys"
 		;;
 	w502u)
 		status_led="alfa:blue:wps"
@@ -221,11 +209,12 @@ get_status_led() {
 	wsr-600)
 		status_led="buffalo:orange:diag"
 		;;
-	whr-g300n)
-		status_led="whr-g300n:green:router"
+	whr-g300n|\
+	wzr-agl300nh)
+		status_led="buffalo:green:router"
 		;;
 	wl-351)
-		status_led="wl-351:amber:power"
+		status_led="sitecom:amber:power"
 		;;
 	wli-tx4-ag300n)
 		status_led="buffalo:blue:power"
@@ -240,19 +229,14 @@ get_status_led() {
 		status_led="wr512:green:wps"
 		;;
 	wr8305rt)
-		status_led="wr8305rt:sys"
+		status_led="zbtlink:green:sys"
 		;;
 	wt3020)
 		status_led="nexx:blue:power"
 		;;
-	wzr-agl300nh)
-		status_led="buffalo:green:router"
-		;;
-	x5)
-		status_led="x5:green:power"
-		;;
+	x5|\
 	x8)
-		status_led="x8:green:power"
+		status_led="poray:green:power"
 		;;
 	xdxrn502j)
 		status_led="xdxrn502j:green:power"
diff --git a/target/linux/ramips/dts/AR670W.dts b/target/linux/ramips/dts/AR670W.dts
index 07497cb..fc82ee0 100644
--- a/target/linux/ramips/dts/AR670W.dts
+++ b/target/linux/ramips/dts/AR670W.dts
@@ -74,12 +74,12 @@
 		compatible = "gpio-leds";
 
 		status {
-			label = "ar670w:green:power";
+			label = "airlink101:green:power";
 			gpios = <&gpio0 7 1>;
 		};
 
 		wpsblue {
-			label = "ar670w:blue:wps";
+			label = "airlink101:blue:wps";
 			gpios = <&gpio0 13 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/AR725W.dts b/target/linux/ramips/dts/AR725W.dts
index 87f2553..3aacad1 100644
--- a/target/linux/ramips/dts/AR725W.dts
+++ b/target/linux/ramips/dts/AR725W.dts
@@ -79,17 +79,17 @@
 		compatible = "gpio-leds";
 
 		status {
-			label = "ar725w:green:power";
+			label = "airlink101:green:power";
 			gpios = <&gpio0 7 0>;
 		};
 
 		wpsred {
-			label = "ar725w:red:wps";
+			label = "airlink101:red:wps";
 			gpios = <&gpio0 8 1>;
 		};
 
 		wpsblue {
-			label = "ar725w:blue:wps";
+			label = "airlink101:blue:wps";
 			gpios = <&gpio0 13 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/D105.dts b/target/linux/ramips/dts/D105.dts
index 42f6fd3..fedaf5d 100644
--- a/target/linux/ramips/dts/D105.dts
+++ b/target/linux/ramips/dts/D105.dts
@@ -51,11 +51,11 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		power {
-			label = "d105:red:power";
+			label = "huawei:red:power";
 			gpios = <&gpio0 0 1>;
 		};
 		wps {
-			label = "d105:green:usb";
+			label = "huawei:green:usb";
 			gpios = <&gpio0 13 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/F5D8235_V1.dts b/target/linux/ramips/dts/F5D8235_V1.dts
index 8295a02..2eb86e2 100644
--- a/target/linux/ramips/dts/F5D8235_V1.dts
+++ b/target/linux/ramips/dts/F5D8235_V1.dts
@@ -95,11 +95,11 @@
 		compatible = "gpio-leds";
 
 		storage {
-			label = "f5d8235-v1:blue:storage";
+			label = "belkin:blue:storage";
 			gpios = <&gpio0 7 1>;
 		};
 		storage2 {
-			label = "f5d8235-v1:orange:storage";
+			label = "belkin:orange:storage";
 			gpios = <&gpio0 8 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/F5D8235_V2.dts b/target/linux/ramips/dts/F5D8235_V2.dts
index 792249c..e48692d 100644
--- a/target/linux/ramips/dts/F5D8235_V2.dts
+++ b/target/linux/ramips/dts/F5D8235_V2.dts
@@ -71,39 +71,39 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		internet {
-			label = "f5d8235v2:blue:internet";
+			label = "belkin:blue:internet";
 			gpios = <&gpio0 5 1>;
 		};
 		internet2 {
-			label = "f5d8235v2:amber:internet";
+			label = "belkin:amber:internet";
 			gpios = <&gpio0 6 1>;
 		};
 		modem {
-			label = "f5d8235v2:blue:modem";
+			label = "belkin:blue:modem";
 			gpios = <&gpio0 11 1>;
 		};
 		modem2 {
-			label = "f5d8235v2:amber:modem";
+			label = "belkin:amber:modem";
 			gpios = <&gpio0 8 1>;
 		};
 		router {
-			label = "f5d8235v2:blue:router";
+			label = "belkin:blue:router";
 			gpios = <&gpio0 9 1>;
 		};
 		storage {
-			label = "f5d8235v2:blue:storage";
+			label = "belkin:blue:storage";
 			gpios = <&gpio0 23 1>;
 		};
 		storage2 {
-			label = "f5d8235v2:amber:storage";
+			label = "belkin:amber:storage";
 			gpios = <&gpio0 22 1>;
 		};
 		security {
-			label = "f5d8235v2:blue:security";
+			label = "belkin:blue:security";
 			gpios = <&gpio0 13 1>;
 		};
 		security2 {
-			label = "f5d8235v2:amber:security";
+			label = "belkin:amber:security";
 			gpios = <&gpio0 12 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/HG255D.dts b/target/linux/ramips/dts/HG255D.dts
index 41b7ddd..2d3e300 100644
--- a/target/linux/ramips/dts/HG255D.dts
+++ b/target/linux/ramips/dts/HG255D.dts
@@ -57,27 +57,27 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		power {
-			label = "hg255d:power";
+			label = "huawei:green:power";
 			gpios = <&gpio0 8 1>;
 		};
 		internet {
-			label = "hg255d:internet";
+			label = "huawei:green:internet";
 			gpios = <&gpio0 13 1>;
 		};
 		wifi {
-			label = "hg255d:wlan";
+			label = "huawei:green:wlan";
 			gpios = <&gpio0 14 1>;
 		};
 		usb {
-			label = "hg255d:usb";
+			label = "huawei:green:usb";
 			gpios = <&gpio0 9 1>;
 		};
 		wps {
-			label = "hg255d:wps";
+			label = "huawei:green:wps";
 			gpios = <&gpio0 12 1>;
 		};
 		voice {
-			label = "hg255d:voice";
+			label = "huawei:green:voice";
 			gpios = <&gpio0 5 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/IP2202.dts b/target/linux/ramips/dts/IP2202.dts
index 47cbb97..4678624 100644
--- a/target/linux/ramips/dts/IP2202.dts
+++ b/target/linux/ramips/dts/IP2202.dts
@@ -59,11 +59,11 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		run {
-			label = "ip2202:green:run";
+			label = "poray:green:run";
 			gpios = <&gpio0 9 1>;
 		};
 		net {
-			label = "ip2202:amber:net";
+			label = "poray:amber:net";
 			gpios = <&gpio0 13 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/M3.dts b/target/linux/ramips/dts/M3.dts
index f3c3aa4..7ec302b 100644
--- a/target/linux/ramips/dts/M3.dts
+++ b/target/linux/ramips/dts/M3.dts
@@ -64,7 +64,7 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		status {
-			label = "m3:blue:status";
+			label = "poray:blue:status";
 			gpios = <&gpio0 9 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/M4-4M.dts b/target/linux/ramips/dts/M4-4M.dts
index 2d2ebc4..a44dd62 100644
--- a/target/linux/ramips/dts/M4-4M.dts
+++ b/target/linux/ramips/dts/M4-4M.dts
@@ -64,7 +64,7 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		status {
-			label = "m4:blue:status";
+			label = "poray:blue:status";
 			gpios = <&gpio0 9 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/M4-8M.dts b/target/linux/ramips/dts/M4-8M.dts
index 23d8449..6804360 100644
--- a/target/linux/ramips/dts/M4-8M.dts
+++ b/target/linux/ramips/dts/M4-8M.dts
@@ -64,7 +64,7 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		status {
-			label = "m4:blue:status";
+			label = "poray:blue:status";
 			gpios = <&gpio0 9 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/MZK-750DHP.dts b/target/linux/ramips/dts/MZK-750DHP.dts
index ff664ac..4796327 100644
--- a/target/linux/ramips/dts/MZK-750DHP.dts
+++ b/target/linux/ramips/dts/MZK-750DHP.dts
@@ -80,11 +80,11 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		wps {
-			label = "mzk750:green:wps";
+			label = "planex:green:wps";
 			gpios = <&gpio1 11 1>;
 		};
 		power {
-			label = "mzk750:green:power";
+			label = "planex:green:power";
 			gpios = <&gpio1 15 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/MZK-DP150N.dts b/target/linux/ramips/dts/MZK-DP150N.dts
index ae986f7..76a84f4 100644
--- a/target/linux/ramips/dts/MZK-DP150N.dts
+++ b/target/linux/ramips/dts/MZK-DP150N.dts
@@ -79,7 +79,7 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		power {
-			label = "mzkdp150n:green:power";
+			label = "planex:green:power";
 			gpios = <&gpio0 9 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/MZK-W300NH2.dts b/target/linux/ramips/dts/MZK-W300NH2.dts
index 790092e..3839d56 100644
--- a/target/linux/ramips/dts/MZK-W300NH2.dts
+++ b/target/linux/ramips/dts/MZK-W300NH2.dts
@@ -69,15 +69,15 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		power {
-			label = "mzkw300nh2:green:power";
+			label = "planex:green:power";
 			gpios = <&gpio0 9 1>;
 		};
 		wlan {
-			label = "mzkw300nh2:amber:wlan";
+			label = "planex:amber:wlan";
 			gpios = <&gpio0 14 1>;
 		};
 		wps {
-			label = "mzkw300nh2:amber:wps";
+			label = "planex:amber:wps";
 			gpios = <&gpio0 11 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/OMNI-EMB-HPM.dts b/target/linux/ramips/dts/OMNI-EMB-HPM.dts
index 4f4ecd4..de66d78 100644
--- a/target/linux/ramips/dts/OMNI-EMB-HPM.dts
+++ b/target/linux/ramips/dts/OMNI-EMB-HPM.dts
@@ -99,27 +99,27 @@
 		compatible = "gpio-leds";
 
 		power {
-			label = "emb:orange:power";
+			label = "omnima:orange:power";
 			gpios = <&gpio0 7 1>;
 		};
 		status {
-			label = "emb:green:status";
+			label = "omnima:green:status";
 			gpios = <&gpio0 21 1>;
 		};
 		eth {
-			label = "emb:green:eth";
+			label = "omnima:green:eth";
 			gpios = <&gpio0 20 1>;
 		};
 		eth2 {
-			label = "emb:red:eth";
+			label = "omnima:red:eth";
 			gpios = <&gpio0 18 1>;
 		};
 		wifi {
-			label = "emb:green:wifi";
+			label = "omnima:green:wifi";
 			gpios = <&gpio0 17 1>;
 		};
 		wifi2 {
-			label = "emb:red:wifi";
+			label = "omnima:red:wifi";
 			gpios = <&gpio0 19 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/OMNI-EMB.dts b/target/linux/ramips/dts/OMNI-EMB.dts
index d7c5c8a..f13d436 100644
--- a/target/linux/ramips/dts/OMNI-EMB.dts
+++ b/target/linux/ramips/dts/OMNI-EMB.dts
@@ -18,11 +18,11 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		status {
-			label = "emb:green:status";
+			label = "omnima:green:status";
 			gpios = <&gpio0 9 1>;
 		};
 		wlan {
-			label = "emb:green:wlan";
+			label = "omnima:green:wlan";
 			gpios = <&gpio0 14 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/OMNI-PLUG.dts b/target/linux/ramips/dts/OMNI-PLUG.dts
index ede0252..e1ceaca 100644
--- a/target/linux/ramips/dts/OMNI-PLUG.dts
+++ b/target/linux/ramips/dts/OMNI-PLUG.dts
@@ -18,11 +18,11 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		wlan {
-			label = "miniplug:red:wlan";
+			label = "omnima:red:wlan";
 			gpios = <&gpio0 9 0>;
 		};
 		mobile {
-			label = "miniplug:green:mobile";
+			label = "omnima:green:mobile";
 			gpios = <&gpio0 13 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/RT-N13U.dts b/target/linux/ramips/dts/RT-N13U.dts
index 8642b88..bb97825 100644
--- a/target/linux/ramips/dts/RT-N13U.dts
+++ b/target/linux/ramips/dts/RT-N13U.dts
@@ -51,11 +51,11 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		power {
-			label = "rt-n13u:power";
+			label = "asus:blue:power";
 			gpios = <&gpio0 7 1>;
 		};
 		wifi {
-			label = "rt-n13u:wifi";
+			label = "asus:blue:wifi";
 			gpios = <&gpio0 8 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/RT-N15.dts b/target/linux/ramips/dts/RT-N15.dts
index cc7519f..dfe90f7 100644
--- a/target/linux/ramips/dts/RT-N15.dts
+++ b/target/linux/ramips/dts/RT-N15.dts
@@ -101,7 +101,7 @@
 		compatible = "gpio-leds";
 
 		power {
-			label = "rt-n15:blue:power";
+			label = "asus:blue:power";
 			gpios = <&gpio0 11 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/UR-326N4G.dts b/target/linux/ramips/dts/UR-326N4G.dts
index 021efe5..8d131f5 100644
--- a/target/linux/ramips/dts/UR-326N4G.dts
+++ b/target/linux/ramips/dts/UR-326N4G.dts
@@ -63,23 +63,23 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		3g {
-			label = "ur326:green:3g";
+			label = "upvel:green:3g";
 			gpios = <&gpio0 9 1>;
 		};
 		gateway {
-			label = "ur326:green:gateway";
+			label = "upvel:green:gateway";
 			gpios = <&gpio0 11 1>;
 		};
 		ap {
-			label = "ur326:green:ap";
+			label = "upvel:green:ap";
 			gpios = <&gpio0 12 1>;
 		};
 		wps {
-			label = "ur326:green:wps";
+			label = "upvel:green:wps";
 			gpios = <&gpio0 14 1>;
 		};
 		station {
-			label = "ur326:green:station";
+			label = "upvel:green:station";
 			gpios = <&gpio0 13 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/UR-336UN.dts b/target/linux/ramips/dts/UR-336UN.dts
index 81d0be0..ab93fb3 100644
--- a/target/linux/ramips/dts/UR-336UN.dts
+++ b/target/linux/ramips/dts/UR-336UN.dts
@@ -42,23 +42,23 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		3g {
-			label = "ur336:green:3g";
+			label = "upvel:green:3g";
 			gpios = <&gpio0 9 1>;
 		};
 		gateway {
-			label = "ur336:green:gateway";
+			label = "upvel:green:gateway";
 			gpios = <&gpio0 11 1>;
 		};
 		ap {
-			label = "ur336:green:ap";
+			label = "upvel:green:ap";
 			gpios = <&gpio0 12 1>;
 		};
 		wps {
-			label = "ur336:green:wps";
+			label = "upvel:green:wps";
 			gpios = <&gpio0 14 1>;
 		};
 		station {
-			label = "ur336:green:station";
+			label = "upvel:green:station";
 			gpios = <&gpio0 13 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/V11STFE.dts b/target/linux/ramips/dts/V11STFE.dts
index a0a7384..27cbac0 100644
--- a/target/linux/ramips/dts/V11STFE.dts
+++ b/target/linux/ramips/dts/V11STFE.dts
@@ -78,7 +78,7 @@
 		compatible = "gpio-leds";
 
 		status {
-			label = "v11st-fe:green:status";
+			label = "ralink:green:status";
 			gpios = <&gpio0 12 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/V22RW-2X2.dts b/target/linux/ramips/dts/V22RW-2X2.dts
index 7eff596..244054a 100644
--- a/target/linux/ramips/dts/V22RW-2X2.dts
+++ b/target/linux/ramips/dts/V22RW-2X2.dts
@@ -59,11 +59,11 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		security {
-			label = "v22rw-2x2:green:security";
+			label = "ralink:green:security";
 			gpios = <&gpio0 13 1>;
 		};
 		wps {
-			label = "v22rw-2x2:red:wps";
+			label = "ralink:red:wps";
 			gpios = <&gpio0 14 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/W306R_V20.dts b/target/linux/ramips/dts/W306R_V20.dts
index fe505b4..d6edb05 100644
--- a/target/linux/ramips/dts/W306R_V20.dts
+++ b/target/linux/ramips/dts/W306R_V20.dts
@@ -63,11 +63,11 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		sys {
-			label = "w306r-v20:green:sys";
+			label = "tenda:green:sys";
 			gpios = <&gpio0 9 1>;
 		};
 		wps {
-			label = "w306r-v20:green:wps";
+			label = "tenda:green:wps";
 			gpios = <&gpio0 13 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/WHR-G300N.dts b/target/linux/ramips/dts/WHR-G300N.dts
index 3054131..d04f4e3 100644
--- a/target/linux/ramips/dts/WHR-G300N.dts
+++ b/target/linux/ramips/dts/WHR-G300N.dts
@@ -37,15 +37,15 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		diag {
-			label = "whr-g300n:red:diag";
+			label = "buffalo:red:diag";
 			gpios = <&gpio0 7 1>;
 		};
 		router {
-			label = "whr-g300n:green:router";
+			label = "buffalo:green:router";
 			gpios = <&gpio0 9 1>;
 		};
 		security {
-			label = "whr-g300n:amber:security";
+			label = "buffalo:amber:security";
 			gpios = <&gpio0 14 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/WL-351.dts b/target/linux/ramips/dts/WL-351.dts
index 81c963b..83a131e 100644
--- a/target/linux/ramips/dts/WL-351.dts
+++ b/target/linux/ramips/dts/WL-351.dts
@@ -75,15 +75,15 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		power {
-			label = "wl-351:amber:power";
+			label = "sitecom:amber:power";
 			gpios = <&gpio0 8 1>;
 		};
 		unpopulated {
-			label = "wl-351:amber:unpopulated";
+			label = "sitecom:amber:unpopulated";
 			gpios = <&gpio0 12 1>;
 		};
 		unpopulated2 {
-			label = "wl-351:blue:unpopulated";
+			label = "sitecom:blue:unpopulated";
 			gpios = <&gpio0 13 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/WL341V3.dts b/target/linux/ramips/dts/WL341V3.dts
index 64d0327..3ba8311 100644
--- a/target/linux/ramips/dts/WL341V3.dts
+++ b/target/linux/ramips/dts/WL341V3.dts
@@ -63,31 +63,31 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		first {
-			label = "wl341v3:amber:first";
+			label = "sitecom:amber:first";
 			gpios = <&gpio0 9 1>;
 		};
 		first2 {
-			label = "wl341v3:blue:first";
+			label = "sitecom:blue:first";
 			gpios = <&gpio0 13 1>;
 		};
 		third {
-			label = "wl341v3:amber:third";
+			label = "sitecom:amber:third";
 			gpios = <&gpio0 11 1>;
 		};
 		third2 {
-			label = "wl341v3:blue:third";
+			label = "sitecom:blue:third";
 			gpios = <&gpio0 14 1>;
 		};
 		fourth {
-			label = "wl341v3:blue:fourth";
+			label = "sitecom:blue:fourth";
 			gpios = <&gpio0 10 1>;
 		};
 		fifth {
-			label = "wl341v3:amber:fifth";
+			label = "sitecom:amber:fifth";
 			gpios = <&gpio0 12 1>;
 		};
 		fifth2 {
-			label = "wl341v3:blue:fifth";
+			label = "sitecom:blue:fifth";
 			gpios = <&gpio0 8 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/WR8305RT.dts b/target/linux/ramips/dts/WR8305RT.dts
index c28e422..007473f 100644
--- a/target/linux/ramips/dts/WR8305RT.dts
+++ b/target/linux/ramips/dts/WR8305RT.dts
@@ -84,15 +84,15 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		sys {
-			label = "wr8305rt:sys";
+			label = "zbtlink:green:sys";
 			gpios = <&gpio1 14 1>;
 		};
 		lan {
-			label = "wr8305rt:usb";
+			label = "zbtlink:green:usb";
 			gpios = <&gpio1 15 1>;
 		};
 		wifi {
-			label = "wr8305rt:wifi";
+			label = "zbtlink:green:wifi";
 			gpios = <&gpio3 0 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/X5.dts b/target/linux/ramips/dts/X5.dts
index a19bf4d..722a326 100644
--- a/target/linux/ramips/dts/X5.dts
+++ b/target/linux/ramips/dts/X5.dts
@@ -64,19 +64,19 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		power {
-			label = "x5:green:power";
+			label = "poray:green:power";
 			gpios = <&gpio0 13 1>;
 		};
 		20 {
-			label = "x5:green:20";
+			label = "poray:green:20";
 			gpios = <&gpio0 12 1>;
 		};
 		50 {
-			label = "x5:green:50";
+			label = "poray:green:50";
 			gpios = <&gpio0 11 1>;
 		};
 		80 {
-			label = "x5:green:80";
+			label = "poray:green:80";
 			gpios = <&gpio0 7 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/X8.dts b/target/linux/ramips/dts/X8.dts
index cadbc3a..9c8f516 100644
--- a/target/linux/ramips/dts/X8.dts
+++ b/target/linux/ramips/dts/X8.dts
@@ -64,7 +64,7 @@
 	gpio-leds {
 		compatible = "gpio-leds";
 		power {
-			label = "x8:green:power";
+			label = "poray:green:power";
 			gpios = <&gpio0 13 1>;
 		};
 	};