diff --git a/target/linux/ramips/base-files/lib/ramips.sh b/target/linux/ramips/base-files/lib/ramips.sh
index d25fa3a..aff380b 100755
--- a/target/linux/ramips/base-files/lib/ramips.sh
+++ b/target/linux/ramips/base-files/lib/ramips.sh
@@ -335,7 +335,7 @@ ramips_board_detect() {
 		name="whr-g300n"
 		;;
 	*"Sitecom WL-341 v3")
-		name="wl341v3"
+		name="wl-341v3"
 		;;
 	*"Sitecom WL-351 v1 002")
 		name="wl-351"
diff --git a/target/linux/ramips/base-files/lib/upgrade/platform.sh b/target/linux/ramips/base-files/lib/upgrade/platform.sh
index f46155f..f78bc22 100755
--- a/target/linux/ramips/base-files/lib/upgrade/platform.sh
+++ b/target/linux/ramips/base-files/lib/upgrade/platform.sh
@@ -109,7 +109,7 @@ platform_check_image() {
 	wl-330n | \
 	wl-330n3g | \
 	wl-351 | \
-	wl341v3 | \
+	wl-341v3 | \
 	wli-tx4-ag300n | \
 	wzr-agl300nh | \
 	wmr300 |\
diff --git a/target/linux/ramips/dts/WL-341V3.dts b/target/linux/ramips/dts/WL-341V3.dts
new file mode 100644
index 0000000..ce5e820
--- /dev/null
+++ b/target/linux/ramips/dts/WL-341V3.dts
@@ -0,0 +1,123 @@
+/dts-v1/;
+
+/include/ "rt3050.dtsi"
+
+/ {
+	compatible = "WL-341V3", "ralink,rt3052-soc";
+	model = "Sitecom WL-341 v3";
+
+	cfi@1f000000 {
+		compatible = "cfi-flash";
+		reg = <0x1f000000 0x800000>;
+		bank-width = <2>;
+		device-width = <2>;
+		#address-cells = <1>;
+		#size-cells = <1>;
+
+		partition@0 {
+			label = "u-boot";
+			reg = <0x0 0x20000>;
+			read-only;
+		};
+
+		boardnvram: partition@20000 {
+			label = "board-nvram";
+			reg = <0x20000 0x10000>;
+			read-only;
+		};
+
+		partition@30000 {
+			label = "u-boot-env";
+			reg = <0x30000 0x10000>;
+			read-only;
+		};
+
+		partition@40000 {
+			label = "firmware";
+			reg = <0x40000 0x3b0000>;
+		};
+	};
+
+	pinctrl {
+		state_default: pinctrl0 {
+			gpio {
+				ralink,group = "i2c", "jtag", "rgmii", "mdio", "uartf";
+				ralink,function = "gpio";
+			};
+		};
+	};
+
+	ethernet@10100000 {
+		mtd-mac-address = <&boardnvram 0xffa0>;
+	};
+
+	esw@10110000 {
+		ralink,portmap = <0x3e>;
+	};
+
+	wmac@10180000 {
+		ralink,mtd-eeprom = <&boardnvram 0xfd70>;
+	};
+
+	gpio-leds {
+		compatible = "gpio-leds";
+
+		first {
+			label = "wl-341v3:amber:first";
+			gpios = <&gpio0 9 1>;
+		};
+
+		first2 {
+			label = "wl-341v3:blue:first";
+			gpios = <&gpio0 13 1>;
+		};
+
+		third {
+			label = "wl-341v3:amber:third";
+			gpios = <&gpio0 11 1>;
+		};
+
+		third2 {
+			label = "wl-341v3:blue:third";
+			gpios = <&gpio0 14 1>;
+		};
+
+		fourth {
+			label = "wl-341v3:blue:fourth";
+			gpios = <&gpio0 10 1>;
+		};
+
+		fifth {
+			label = "wl-341v3:amber:fifth";
+			gpios = <&gpio0 12 1>;
+		};
+
+		fifth2 {
+			label = "wl-341v3:blue:fifth";
+			gpios = <&gpio0 8 1>;
+		};
+	};
+
+	gpio-keys-polled {
+		compatible = "gpio-keys-polled";
+		#address-cells = <1>;
+		#size-cells = <0>;
+		poll-interval = <20>;
+
+		reset {
+			label = "reset";
+			gpios = <&gpio0 7 1>;
+			linux,code = <0x198>;
+		};
+
+		wps {
+			label = "wps";
+			gpios = <&gpio0 5 1>;
+			linux,code = <0x211>;
+		};
+	};
+
+	otg@101c0000 {
+		status = "okay";
+	};
+};
diff --git a/target/linux/ramips/dts/WL341V3.dts b/target/linux/ramips/dts/WL341V3.dts
deleted file mode 100644
index 40ce630..0000000
--- a/target/linux/ramips/dts/WL341V3.dts
+++ /dev/null
@@ -1,123 +0,0 @@
-/dts-v1/;
-
-/include/ "rt3050.dtsi"
-
-/ {
-	compatible = "WL341V3", "ralink,rt3052-soc";
-	model = "Sitecom WL-341 v3";
-
-	cfi@1f000000 {
-		compatible = "cfi-flash";
-		reg = <0x1f000000 0x800000>;
-		bank-width = <2>;
-		device-width = <2>;
-		#address-cells = <1>;
-		#size-cells = <1>;
-
-		partition@0 {
-			label = "u-boot";
-			reg = <0x0 0x20000>;
-			read-only;
-		};
-
-		boardnvram: partition@20000 {
-			label = "board-nvram";
-			reg = <0x20000 0x10000>;
-			read-only;
-		};
-
-		partition@30000 {
-			label = "u-boot-env";
-			reg = <0x30000 0x10000>;
-			read-only;
-		};
-
-		partition@40000 {
-			label = "firmware";
-			reg = <0x40000 0x3b0000>;
-		};
-	};
-
-	pinctrl {
-		state_default: pinctrl0 {
-			gpio {
-				ralink,group = "i2c", "jtag", "rgmii", "mdio", "uartf";
-				ralink,function = "gpio";
-			};
-		};
-	};
-
-	ethernet@10100000 {
-		mtd-mac-address = <&boardnvram 0xffa0>;
-	};
-
-	esw@10110000 {
-		ralink,portmap = <0x3e>;
-	};
-
-	wmac@10180000 {
-		ralink,mtd-eeprom = <&boardnvram 0xfd70>;
-	};
-
-	gpio-leds {
-		compatible = "gpio-leds";
-
-		first {
-			label = "wl341v3:amber:first";
-			gpios = <&gpio0 9 1>;
-		};
-
-		first2 {
-			label = "wl341v3:blue:first";
-			gpios = <&gpio0 13 1>;
-		};
-
-		third {
-			label = "wl341v3:amber:third";
-			gpios = <&gpio0 11 1>;
-		};
-
-		third2 {
-			label = "wl341v3:blue:third";
-			gpios = <&gpio0 14 1>;
-		};
-
-		fourth {
-			label = "wl341v3:blue:fourth";
-			gpios = <&gpio0 10 1>;
-		};
-
-		fifth {
-			label = "wl341v3:amber:fifth";
-			gpios = <&gpio0 12 1>;
-		};
-
-		fifth2 {
-			label = "wl341v3:blue:fifth";
-			gpios = <&gpio0 8 1>;
-		};
-	};
-
-	gpio-keys-polled {
-		compatible = "gpio-keys-polled";
-		#address-cells = <1>;
-		#size-cells = <0>;
-		poll-interval = <20>;
-
-		reset {
-			label = "reset";
-			gpios = <&gpio0 7 1>;
-			linux,code = <0x198>;
-		};
-
-		wps {
-			label = "wps";
-			gpios = <&gpio0 5 1>;
-			linux,code = <0x211>;
-		};
-	};
-
-	otg@101c0000 {
-		status = "okay";
-	};
-};
diff --git a/target/linux/ramips/image/Makefile b/target/linux/ramips/image/Makefile
index 78fffcd..af09f27 100644
--- a/target/linux/ramips/image/Makefile
+++ b/target/linux/ramips/image/Makefile
@@ -637,8 +637,8 @@ Image/Build/Profile/WL-330N3G=$(call BuildFirmware/Default4M/$(1),$(1),wl-330n3g
 
 kernel_size_wl341v3=917504
 rootfs_size_wl341v3=2949120
-define BuildFirmware/WL341V3/squashfs
-	$(call BuildFirmware/Default4M/$(1),$(1),wl341v3,WL341V3)
+define BuildFirmware/WL-341V3/squashfs
+	$(call BuildFirmware/Default4M/$(1),$(1),wl-341v3,WL-341V3)
 	# This code looks broken and really needs to be converted to C
 	if [ -e "$(call sysupname,$(1),$(2))" ]; then \
 		( \
@@ -654,8 +654,8 @@ define BuildFirmware/WL341V3/squashfs
 		) > $(call imgname,$(1),$(2))-factory.bin; \
 	fi
 endef
-BuildFirmware/WL341V3/initramfs=$(call BuildFirmware/OF/initramfs,$(1),wl341v3,WL341V3)
-Image/Build/Profile/WL341V3=$(call BuildFirmware/WL341V3/$(1),$(1))
+BuildFirmware/WL-341V3/initramfs=$(call BuildFirmware/OF/initramfs,$(1),wl-341v3,WL-341V3)
+Image/Build/Profile/WL-341V3=$(call BuildFirmware/WL-341V3/$(1),$(1))
 
 Image/Build/Profile/WL-351=$(call BuildFirmware/Default4M/$(1),$(1),wl-351,WL-351)
 
@@ -765,7 +765,7 @@ define Image/Build/Profile/Default
 	$(call Image/Build/Profile/WIZARD8800,$(1))
 	$(call Image/Build/Profile/WL-330N,$(1))
 	$(call Image/Build/Profile/WL-330N3G,$(1))
-	$(call Image/Build/Profile/WL341V3,$(1))
+	$(call Image/Build/Profile/WL-341V3,$(1))
 	$(call Image/Build/Profile/WL-351,$(1))
 	$(call Image/Build/Profile/WNCE2001,$(1))
 	$(call Image/Build/Profile/WR512-3GN,$(1))