diff --git a/target/linux/ramips/base-files/etc/board.d/01_leds b/target/linux/ramips/base-files/etc/board.d/01_leds
index 19e79a8..1456be1 100755
--- a/target/linux/ramips/base-files/etc/board.d/01_leds
+++ b/target/linux/ramips/base-files/etc/board.d/01_leds
@@ -175,9 +175,9 @@ case $board in
 		set_wifi_led "miniembplug:green:wlan"
 		set_usb_led "miniembplug:green:mobile"
 		;;
-	px4885)
-		set_wifi_led "7links:orange:wifi"
-		set_usb_led "7links:blue:storage"
+	px-4885)
+		set_wifi_led "px-4885:orange:wifi"
+		set_usb_led "px-4885:blue:storage"
 		;;
     pbr-m1)
         ucidef_set_led_netdev "internet" "internet" "pbr-m1:green:internet" "eth0.2"
diff --git a/target/linux/ramips/base-files/etc/diag.sh b/target/linux/ramips/base-files/etc/diag.sh
index c8014bf..f63cf31 100644
--- a/target/linux/ramips/base-files/etc/diag.sh
+++ b/target/linux/ramips/base-files/etc/diag.sh
@@ -134,8 +134,8 @@ get_status_led() {
 	pwh2004)
 		status_led="pwh2004:green:power"
 		;;
-	px4885)
-		status_led="7links:orange:wifi"
+	px-4885)
+		status_led="px-4885:orange:wifi"
 		;;
 	re6500)
 		status_led="linksys:orange:wifi"
diff --git a/target/linux/ramips/base-files/lib/ramips.sh b/target/linux/ramips/base-files/lib/ramips.sh
index 98bd094..9e7e73f 100755
--- a/target/linux/ramips/base-files/lib/ramips.sh
+++ b/target/linux/ramips/base-files/lib/ramips.sh
@@ -14,7 +14,7 @@ ramips_board_detect() {
 
 	case "$machine" in
 	*"7Links PX-4885")
-		name="px4885"
+		name="px-4885"
 		;;
 	*"8devices Carambola")
 		name="carambola"
diff --git a/target/linux/ramips/base-files/lib/upgrade/platform.sh b/target/linux/ramips/base-files/lib/upgrade/platform.sh
index e347d6f..b5e0f5f 100755
--- a/target/linux/ramips/base-files/lib/upgrade/platform.sh
+++ b/target/linux/ramips/base-files/lib/upgrade/platform.sh
@@ -80,7 +80,7 @@ platform_check_image() {
 	rt5350f-olinuxino | \
 	rt5350f-olinuxino-evb | \
 	psr-680w | \
-	px4885 | \
+	px-4885 | \
 	re6500 | \
 	rp-n53 | \
 	rt-g32-b1 | \
diff --git a/target/linux/ramips/dts/PX-4885-4M.dts b/target/linux/ramips/dts/PX-4885-4M.dts
new file mode 100644
index 0000000..1f79a3c
--- /dev/null
+++ b/target/linux/ramips/dts/PX-4885-4M.dts
@@ -0,0 +1,43 @@
+/dts-v1/;
+
+/include/ "PX-4885.dtsi"
+
+/ {
+	palmbus@10000000 {
+		spi@b00 {
+			status = "okay";
+
+			m25p80@0 {
+				#address-cells = <1>;
+				#size-cells = <1>;
+				compatible = "mx25l3205d";
+				reg = <0 0>;
+				linux,modalias = "m25p80", "mx25l3205d";
+				spi-max-frequency = <10000000>;
+
+				partition@0 {
+					label = "u-boot";
+					reg = <0x0 0x20000>;
+					read-only;
+				};
+
+				partition@20000 {
+					label = "devdata";
+					reg = <0x20000 0x20000>;
+					read-only;
+				};
+
+				factory: partition@40000 {
+					label = "devconf";
+					reg = <0x40000 0x10000>;
+					read-only;
+				};
+
+				partition@50000 {
+					label = "firmware";
+					reg = <0x50000 0x3b0000>;
+				};
+			};
+		};
+	};
+};
diff --git a/target/linux/ramips/dts/PX-4885-8M.dts b/target/linux/ramips/dts/PX-4885-8M.dts
new file mode 100644
index 0000000..4c94a11
--- /dev/null
+++ b/target/linux/ramips/dts/PX-4885-8M.dts
@@ -0,0 +1,43 @@
+/dts-v1/;
+
+/include/ "PX-4885.dtsi"
+
+/ {
+	palmbus@10000000 {
+		spi@b00 {
+			status = "okay";
+
+			m25p80@0 {
+				#address-cells = <1>;
+				#size-cells = <1>;
+				compatible = "mx25l3205d";
+				reg = <0 0>;
+				linux,modalias = "m25p80", "mx25l3205d";
+				spi-max-frequency = <10000000>;
+
+				partition@0 {
+					label = "u-boot";
+					reg = <0x0 0x20000>;
+					read-only;
+				};
+
+				partition@20000 {
+					label = "devdata";
+					reg = <0x20000 0x20000>;
+					read-only;
+				};
+
+				factory: partition@40000 {
+					label = "devconf";
+					reg = <0x40000 0x10000>;
+					read-only;
+				};
+
+				partition@50000 {
+					label = "firmware";
+					reg = <0x50000 0x7b0000>;
+				};
+			};
+		};
+	};
+};
diff --git a/target/linux/ramips/dts/PX-4885.dtsi b/target/linux/ramips/dts/PX-4885.dtsi
new file mode 100644
index 0000000..350c1a6
--- /dev/null
+++ b/target/linux/ramips/dts/PX-4885.dtsi
@@ -0,0 +1,54 @@
+/include/ "rt5350.dtsi"
+
+/ {
+	compatible = "PX-4885", "ralink,rt5350-soc";
+	model = "7Links PX-4885";
+
+	pinctrl {
+		state_default: pinctrl0 {
+			gpio {
+				ralink,group = "i2c", "jtag", "uartf";
+				ralink,function = "gpio";
+			};
+		};
+	};
+
+	ethernet@10100000 {
+		mtd-mac-address = <&factory 0x28>;
+	};
+
+	esw@10110000 {
+		ralink,portmap = <0x3f>;
+	};
+
+	wmac@10180000 {
+		ralink,mtd-eeprom = <&factory 0>;
+	};
+
+	gpio-keys-polled {
+		compatible = "gpio-keys-polled";
+		#address-cells = <1>;
+		#size-cells = <0>;
+		poll-interval = <20>;
+
+		reset {
+			label = "reset";
+			gpios = <&gpio0 10 1>;
+			linux,code = <0x198>;
+		};
+	};
+
+	gpio-leds {
+		compatible = "gpio-leds";
+
+		orange {
+			label = "px-4885:orange:wifi";
+			gpios = <&gpio0 18 1>;
+		};
+
+		blue {
+			label = "px-4885:blue:storage";
+			gpios = <&gpio0 19 1>;
+		};
+	};
+};
diff --git a/target/linux/ramips/dts/PX4885-4M.dts b/target/linux/ramips/dts/PX4885-4M.dts
deleted file mode 100644
index 33f167d..0000000
--- a/target/linux/ramips/dts/PX4885-4M.dts
+++ /dev/null
@@ -1,43 +0,0 @@
-/dts-v1/;
-
-/include/ "PX4885.dtsi"
-
-/ {
-	palmbus@10000000 {
-		spi@b00 {
-			status = "okay";
-
-			m25p80@0 {
-				#address-cells = <1>;
-				#size-cells = <1>;
-				compatible = "mx25l3205d";
-				reg = <0 0>;
-				linux,modalias = "m25p80", "mx25l3205d";
-				spi-max-frequency = <10000000>;
-
-				partition@0 {
-					label = "u-boot";
-					reg = <0x0 0x20000>;
-					read-only;
-				};
-
-				partition@20000 {
-					label = "devdata";
-					reg = <0x20000 0x20000>;
-					read-only;
-				};
-
-				factory: partition@40000 {
-					label = "devconf";
-					reg = <0x40000 0x10000>;
-					read-only;
-				};
-
-				partition@50000 {
-					label = "firmware";
-					reg = <0x50000 0x3b0000>;
-				};
-			};
-		};
-	};
-};
diff --git a/target/linux/ramips/dts/PX4885-8M.dts b/target/linux/ramips/dts/PX4885-8M.dts
deleted file mode 100644
index b8015ab..0000000
--- a/target/linux/ramips/dts/PX4885-8M.dts
+++ /dev/null
@@ -1,43 +0,0 @@
-/dts-v1/;
-
-/include/ "PX4885.dtsi"
-
-/ {
-	palmbus@10000000 {
-		spi@b00 {
-			status = "okay";
-
-			m25p80@0 {
-				#address-cells = <1>;
-				#size-cells = <1>;
-				compatible = "mx25l3205d";
-				reg = <0 0>;
-				linux,modalias = "m25p80", "mx25l3205d";
-				spi-max-frequency = <10000000>;
-
-				partition@0 {
-					label = "u-boot";
-					reg = <0x0 0x20000>;
-					read-only;
-				};
-
-				partition@20000 {
-					label = "devdata";
-					reg = <0x20000 0x20000>;
-					read-only;
-				};
-
-				factory: partition@40000 {
-					label = "devconf";
-					reg = <0x40000 0x10000>;
-					read-only;
-				};
-
-				partition@50000 {
-					label = "firmware";
-					reg = <0x50000 0x7b0000>;
-				};
-			};
-		};
-	};
-};
diff --git a/target/linux/ramips/dts/PX4885.dtsi b/target/linux/ramips/dts/PX4885.dtsi
deleted file mode 100644
index 50f4b9e..0000000
--- a/target/linux/ramips/dts/PX4885.dtsi
+++ /dev/null
@@ -1,54 +0,0 @@
-/include/ "rt5350.dtsi"
-
-/ {
-	compatible = "PX4885", "ralink,rt5350-soc";
-	model = "7Links PX-4885";
-
-	pinctrl {
-		state_default: pinctrl0 {
-			gpio {
-				ralink,group = "i2c", "jtag", "uartf";
-				ralink,function = "gpio";
-			};
-		};
-	};
-
-	ethernet@10100000 {
-		mtd-mac-address = <&factory 0x28>;
-	};
-
-	esw@10110000 {
-		ralink,portmap = <0x3f>;
-	};
-
-	wmac@10180000 {
-		ralink,mtd-eeprom = <&factory 0>;
-	};
-
-	gpio-keys-polled {
-		compatible = "gpio-keys-polled";
-		#address-cells = <1>;
-		#size-cells = <0>;
-		poll-interval = <20>;
-
-		reset {
-			label = "reset";
-			gpios = <&gpio0 10 1>;
-			linux,code = <0x198>;
-		};
-	};
-
-	gpio-leds {
-		compatible = "gpio-leds";
-
-		orange {
-			label = "7links:orange:wifi";
-			gpios = <&gpio0 18 1>;
-		};
-
-		blue {
-			label = "7links:blue:storage";
-			gpios = <&gpio0 19 1>;
-		};
-	};
-};
diff --git a/target/linux/ramips/image/Makefile b/target/linux/ramips/image/Makefile
index 2539b5a..2f4d4cb 100644
--- a/target/linux/ramips/image/Makefile
+++ b/target/linux/ramips/image/Makefile
@@ -582,7 +582,7 @@ Image/Build/Profile/PSR-680W=$(call BuildFirmware/Default4M/$(1),$(1),psr-680w,P
 
 Image/Build/Profile/PWH2004=$(call BuildFirmware/Default8M/$(1),$(1),pwh2004,PWH2004)
 
-Image/Build/Profile/PX4885=$(call BuildFirmware/DefaultDualSize/$(1),$(1),px4885,PX4885)
+Image/Build/Profile/PX-4885=$(call BuildFirmware/DefaultDualSize/$(1),$(1),px-4885,PX-4885)
 
 Image/Build/Profile/RT5350F-OLINUXINO=$(call BuildFirmware/Default8M/$(1),$(1),rt5350f-olinuxino,RT5350F-OLINUXINO)
 
@@ -746,7 +746,7 @@ define Image/Build/Profile/Default
 	$(call Image/Build/Profile/MINIEMBPLUG,$(1))
 	$(call Image/Build/Profile/PSR-680W,$(1))
 	$(call Image/Build/Profile/PWH2004,$(1))
-	$(call Image/Build/Profile/PX4885,$(1))
+	$(call Image/Build/Profile/PX-4885,$(1))
 	$(call Image/Build/Profile/RT5350F-OLINUXINO,$(1))
 	$(call Image/Build/Profile/RT5350F-OLINUXINO-EVB,$(1))
 	$(call Image/Build/Profile/RTG32B1,$(1))
diff --git a/target/linux/ramips/rt305x/profiles/sevenlinks.mk b/target/linux/ramips/rt305x/profiles/sevenlinks.mk
index e1a8665..6ddc383 100644
--- a/target/linux/ramips/rt305x/profiles/sevenlinks.mk
+++ b/target/linux/ramips/rt305x/profiles/sevenlinks.mk
@@ -5,16 +5,14 @@
 # See /LICENSE for more information.
 #
 
-define Profile/PX4885
+define Profile/PX-4885
 	NAME:=7Links PX-4885
 	PACKAGES:=\
 		kmod-usb-core kmod-usb-dwc2 kmod-usb2 kmod-usb-ohci \
 		kmod-ledtrig-usbdev kmod-leds-gpio
 endef
 
-define Profile/PX4885/Description
+define Profile/PX-4885/Description
 	Package set for 7Links PX-4885 wireless router.
 endef
-
-$(eval $(call Profile,PX4885))
-
+$(eval $(call Profile,PX-4885))